#!/bin/bash

# spdx-license-identifier: gpl-3.0-only
# Copyright (C) 2022 Michał Góral

[[ -n "${LIBGPAK_ENGINE_SH:-}" ]] && return
LIBGPAK_ENGINE_SH=1

find_engine() {
    local engines=(podman docker)

    for engine in "${engines[@]}"; do
        if type "${engine}" >/dev/null 2>&1; then
            printf "%s" "${engine}"
            return
        fi
    done
}
